var http = require("http");
var express = require('express');
var app = express();
var bodyParser = require('body-parser');

var envApi = require("./api/envApi");
var projectApi = require("./api/projectApi");
var metaDataApi = require("./api/metaDataApi");

app.use(bodyParser.json());       // to support JSON-encoded bodies
app.use(bodyParser.urlencoded({     // to support URL-encoded bodies
  extended: true
}));

// todo add route

// test api
app.get("/test", (req, res) => {
  res.end("how dare you do this!");
});

// env apis
app.get("/env/", envApi.getList);
app.post("/env/", envApi.saveEnv);

// project apis
app.post("/project/", projectApi.saveProject);
app.get("/project/", projectApi.getList);
app.get("/project/len", projectApi.getCount);
app.get("/project/page", projectApi.getPagedList);

// meta_data apis
app.get("/meta/", metaDataApi.getAllList);
app.get("/meta/names/", metaDataApi.getSmailLIst);
app.post("/meta/", metaDataApi.save);

module.exports = app;